require(['config'], function() {
	require([
	], function($) {
		contentPageObj.init();
	});
});

/*API URL*/
const API_MOBILE_INIT_INFO	= '/api/pomng/init-pchReq';
const API_MOBILE_SAVE		= '/api/pomng/save-pchReq';
const API_POP_SEARCH_LIST	= '/api/whs/mng/pop-whs-search';

let contentPageObj = {
	init: function () {
		this.ui.init();
		this.event.init();
	},
	ui: {
		init: function () {

		}
	},
	event: {
		init: function() {
			this.button();
		},
		button: function() {
			$('button[id^="ITP_BTN_MPOMNG01010_DETAIL"]').on('click', function() {
				if($(this).is('[data-call-popup]')) {
					contentPopObj.show($(this).data('call-popup'));
				} else {
					var id = $(this).attr('id');
					switch (id) {
						case 'ITP_BTN_MPOMNG01010_DETAIL_TEMP_SAVE': break;
						case 'ITP_BTN_MPOMNG01010_DETAIL_CANCEL':break;
					}
				}
				return false;
			});
		}
	}
};

let contentPopObj = {
	show: function(id, args, fn) {
		this.button();
		console.log(id);
		$('#' + id).show();
	},
	button: function() {
		var _this = this;
		$('button[id^="ITP_BTN_MPOMNG01010_POP"]').off('click').on('click', function() {
			var id = $(this).attr('id');
			if(id.indexOf('POP_CLOSE') > -1) {
				_this.hide(id);
				return;
			}
			switch (id) {
				case 'ITP_BTN_MPOMNG01010_POP_CANCEL': _this.hide(id); break;
				case 'ITP_BTN_MPOMNG01010_POP_CONFIRM': break;
				case 'ITP_BTN_MPOMNG01010_POP_SEARCH':
					break;
			}
			return false;
		});
	},
	hide: function(id) {
		$('#' + id).closest('.mobile-pop-close').hide();
	}
};
